We use cookies to optimize your user experience. All information shared with us through cookies is secure and covered by our data privacy obligations. To learn more, view our privacy policy.
KongaPay Logo
KongaPayDevelopers
v1.0
DevelopersVirtual AccountCancel a Virtual Account

Cancel a Virtual Account

You can cancel a virtual account before it expires or receives a payment. Cancellation is only supported for nonstatic accounts.

⚠️
Only the integration that created the virtual account can cancel it. Attempting to cancel an account belonging to a different settlement account will result in an authorisation error.

Endpoint

PATCH/virtual/cancel?reference=<external_reference>

Query Parameters

ParameterRequiredDescription
referenceYesThe external_reference of the nonstatic virtual account to cancel.

Sample Request

Request
PATCH /virtual/cancel?reference=INV-2026-0001
secretKey: sk_staging_xxxxxxxxxxxxxxxxxxxx

Supported Account Types

TypeCan Cancel via API?Reason
nonstatic✅ YesSingle-use, time-limited accounts can be cancelled early
static❌ NoPermanent accounts are managed via the dashboard
static-flex❌ NoPermanent accounts are managed via the dashboard

Success Response

Response
{
  "status": "success",
  "message": "Virtual account cancelled successfully."
}